package com.app.simplitend.patientprofile.medreminder.mvvm.models;

import androidx.annotation.NonNull;

import java.util.Objects;

public class Frequency {
    public int id;
    public String title;
    public String value;
    public String sort_order;
    public String small_image_url;
    public String large_image_url;
    public String active;
    public String deleted_at;
    public String created_by;
    public String updated_by;
    public String created_at;
    public String updated_at;

    @NonNull
    @Override
    public String toString() {
        return "Frequency{" +
                "id=" + id +
                ", title='" + title + '\'' +
                ", value='" + value + '\'' +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Frequency frequency = (Frequency) o;
        return id == frequency.id;
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
